window.templateUrl = "./bower_components/zeedhi-frontend/templates/dyman/";
window.serviceUrl = "../backend/index.php";
window.metadataUrl = "assets";
window.keepTitle = true;
window.aclExtraElementsFile = "product#json/aclExtraElements.json";
window.hideTranslateButton = true;
window.useDynamicSeparator = false;
window.useDefaultLanguages = true;

var pkg = {
	"product": "./assets",
    "modules": "../../../assets",
	"zeedhiFramework": "./bower_components/zeedhi-frontend/assets",
	"zhuacl": "./bower_components/zhuaclfrontend/assets",
	"zhulog": "/acl/bower_components/zhulog/assets",
	"lib": "./bower_components/tek-libraries",
	
	"zh-preferences": "./bower_components/zh-preferences/dist/assets/",
	"zh-filter-preferences": "./bower_components/zh-filter-preferences/dist/assets/",
	"zh-layout-preferences": "./bower_components/zh-layout-preferences/dist/assets/",
	"zh-view-preferences": "./bower_components/zh-view-preferences/dist/assets/",
	
    "acl": "/acl/assets/",
    "login": "/login/assets/"
};

var metadataUrls = [];
var serviceUrls = [];

var pathname = location.pathname;
if(pathname.search('mobile') !== -1 ) {
   pathname = pathname.replace('/mobile', '').split('/modules')[0];
} else {
	pathname = '';
}

var pkgBaseUrls = {
	default: "/backend/index.php",
	product: "/backend/index.php",
	acl: location.origin + pathname + "/backend_acl/index.php",
	login: location.origin + pathname + "/backend_login/index.php"
};

if(!window.isProduct) {
    pkgBaseUrls["product"] =  "../../../backend/index.php";
    pkg["product"] = pkg["modules"];
}

for (var key in pkg) {
    metadataUrls.push({
        "package": key,
        "baseUrl": pkg[key]
    });

    var keyPkg = key.split("_")[0];
    var realBaseKey = pkgBaseUrls.hasOwnProperty(keyPkg) ? keyPkg : "default";
    serviceUrls.push({
        "package": key,
        "baseUrl": pkgBaseUrls[realBaseKey]
    });
}

var baseProductLocation = window.location.origin;
if(window.serviceUrl.indexOf('service') != -1) {
    if(window.location.pathname.indexOf('modules') != -1) {
        baseProductLocation += window.location.pathname.split('modules')[0] + '';
    } else {
        baseProductLocation += window.location.pathname;
    }
}

window.templateUrls = window.templateUrls || [];
window.templateUrls.push(
	{
        package: "zh-customizations-service",
        baseUrl: "bower_components/zh-customizations-service/src/templates/"
    },
    {
        package: "zh-reports",
        baseUrl: "bower_components/zh-reports/dist/templates/"
    },
    {
        package: "zh-charts",
        baseUrl: "bower_components/zh-charts/dist/templates/"
    },
    {
        package: "zh-select-autocomplete",
        baseUrl: "bower_components/zh-select-autocomplete/dist/templates/"
    },
    {
        package: "zh-rich-text",
        baseUrl: "bower_components/zh-rich-text/dist/templates/"
    },
    {
        package: "zh-interval-component",
        baseUrl: "bower_components/zh-interval-component/dist/templates/"
    }
);


window.applicationVersion = "2.0.1";
window.baseProductLocation = baseProductLocation;
window.lang = "pt_br";
moment.locale(window.lang);
window.docsUrl = "../bower_components/zeedhi-frontend/docs/dyman/";
window.metadataUrls = metadataUrls;
window.serviceUrls = serviceUrls;
window.defaultUserImageUrl = baseProductLocation + "/assets/images/user.jpg";
window.cssUrl = "../../../assets/css/appa.min.css?v=2.0.1";
window.cssStyle = "tecfood";
window.inDeveloperMode = false;
window.useZhuAcl = true;
window.projectId = 3694;
window.showFullOperatorWindow = true;

if (typeof Constants === "undefined") {
    var Constants = {
        successNotification: {
            type: "success"
        },

        successMessage: {
            type: "success",
            icon: "checked"
        },

        errorNotification: {
            type: "error"
        },

        errorMessage: {
            type: "error",
            icon: "error"
        },

        alertMessage: {
            type: "alert",
            icon: "exclamation"
        },

        infoMessage: {
            type: "information",
            icon: "information"
        },

        confirmationMessage: {
            type: "question",
            icon: "question"
        }
    };
}